local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)
  disableMovement()
  coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(getLevel().Camera.Position.X, player.Position.Y + 168), 5.5))
  wait(2)
  Audio.SetMusicParam("fade", 1)
end

function onEnd(room, wasSkipped)
  enableMovement()
end